# bool::parse

Converts the specified string representation of a logical value to its Boolean equivalent.

### Usage

`bool bool::parse(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | A string containing the value to convert.

### Return Value

true if value is equivalent to "True"; otherwise, false.

### Exceptions

The function will fail in any of the following circumstances:

- s is not equivalent to `TrueString` or `FalseString`.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)